<template>
  <div class="block noresult">
    <div class="info-color">
      <div
        v-if="noOffers"
        class="title">
        В настоящее время предложения детали &laquo;{{ name }}&raquo; отсутствуют
      </div>
      <div
        v-else-if="location"
        class="title">
        В {{ location.prepositionalName }} нет предложений детали &laquo;{{ name }}&raquo;
      </div>
      <div class="subtitle">Предлагаем вам:</div>
      <ol>
        <li>
          Поискать эту деталь в разделе
          <flink
            :href="doPartsUrl"
            target="_blank"
            class="kit aqualink">
            Контрактные запчасти
          </flink>.
          Это может быть дешевле!
        </li>
        <li>Отправить продавцам
          <flink
            :href="requestToSpareUrl"
            target="_blank"
            class="kit aqualink">
            запрос по VIN номеру
          </flink>.
        </li>
      </ol>
    </div>

    <div class="call-helper">
      <div class="ui buttons">
        <flink
          href="/"
          domain="helper"
          target="_blank"
          class="ui button white">
          <img
            svg-inline
            src="~/assets/svg/icons/concierge.svg">
          Вызвать автоконсьержа
        </flink>
        <flink
          class="ui button gray"
          href="/about"
          target="_blank"
          domain="helper">
          <img
            svg-inline
            src="~/assets/svg/icons/question.svg">
        </flink>
      </div>
    </div>
  </div>
</template>

<script>
import RouteParamsPrefixMapping from '~/assets/js/model/do/route-params-prefixes';

export default {
  name: 'InfoNoresult',
  props: {
    partName: {
      type: Object,
      default() { return null; },
    },
    partManufacturer: {
      type: Object,
      default() { return null; },
    },
    noOffers: { // нет предложений на портале вообще
      type: Boolean,
      default: false,
    },
    location: {
      type: Object,
      default() { return null; },
    },
  },
  computed: {
    name() {
      if (!this.partName) {
        return '';
      }
      const name = [this.partName.name];
      this.partManufacturer && name.push(this.partManufacturer.brand);
      return name.join(' ');
    },
    requestToSpareUrl() {
      const url = ['/request-to-spare'];
      this.partName && url.push(`?partNameSlug=${this.partName.slug}`);
      return url.join('');
    },
    doPartsUrl() {
      const url = ['/do/part'];
      if (this.location && this.location.slug) {
        url.push(`/${RouteParamsPrefixMapping.city}${this.location.slug}`);
      }
      return url.join('');
    },
  },
};
</script>

<style lang="postcss">
  .block.noresult {
    display: flex;
    flex-direction: row !important;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: center !important;
    width: 100%;
    /*@media screen and (max-width: 1199px) {
      flex-wrap: wrap;
    }*/
  }
  .info-color {
    flex: 1 0 100%;
    display: block;
    width: 100%;
    max-width: 38rem;
    padding: 1.125rem 1.5rem;
    border-radius: 0.25rem 0.25rem 0 0;
    background-color: #FFEFDD;
    /*@media screen and (min-width: 1200px) {
      margin-right: 3.5rem;
      flex: 0 1 100%;
    }*/
    > .title {
      display: block;
      font-size: 1rem;
      font-weight: 500;
      padding-bottom: 0.75rem;
    }
    > .subtitle {
      display: block;
      font-size: 0.875rem;
      font-weight: 500;
    }
    ol {
      margin: 0;
      padding: 0 0 0 1rem;
      font-size: 0.875rem;
    }
  }

  .call-helper {
    flex: 0 0 auto;
    display: block;
    padding: 2rem 0;
    .ui.button {
      border: 1px solid #C5D1D9;
      &.white {
        display: inline-flex;
        justify-content: center;
        align-items: center;
        color: #558FCC;
        background-color: #fff;
        svg {
          display: block;
          fill: #558FCC;
          margin-right: 1rem;
        }
        @media screen and (max-width: 374px) {
          font-size: 0.875rem;
          svg {
            transform: scale(0.85);
            margin-left: -0.75rem;
            margin-right: 0.5rem;
          }
        }
      }
      &.gray {
        display: inline-flex;
        max-width: 3rem;
        min-width: 3rem;
        padding: 0;
        background-color: #ededed;
        svg {
          fill: #9BADB9;
          margin: auto;
        }
      }
      &:hover {
        background-color: #e5eaf5;
      }

    }
  }

</style>
